<?php
$this->PageTitle = "Metas de Vendas &raquo; {$ano} &raquo; Definir Metas do Grupo";

$include = '_form_grupo';
if ($metaGlobalDefinida) {
    $include = "view_all";
}

echo CHtml::label("Selecione o ano de exercício", 'selecionaAno');
echo CHtml::dropDownList(
    'ano',
    $ano,
    $model->anosDisponiveis,
    array('id' => 'selecionaAno', 'prompt' => 'Selecione')
);

$this->renderPartial($include, array(
    'metasVendas' => $model,
    'revendas' => $revendas,
    'ano' => $ano,

    'colHeaders' => $colHeaders,
    'rowHeaders' => $rowHeaders,
    'valoresMensalidade' => $valoresMensalidade,
    'valoresImplantacao' => $valoresImplantacao,
    'abaRevisao' => $abaRevisao,
    'metaGlobalDefinida' => $metaGlobalDefinida,
));

$cs = Yii::app()->getClientScript();

$cs->registerCssFile(FaHtml::getCssUrl('metas.css'));

$script = <<<JAVASCRIPT
    $(document).on('change', '#selecionaAno', function(event) {
        var url = createUrl('metasVendas/createGrupo', {
            ano: $(this).val(),
        });
        window.location.replace(url);
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);
